Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 09 Dec 2022 05:08:30 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I ordered 5 dresses on 6 December and until today these are not ready for collection. Pathetic service!

The same dresses were showing ready for delivery by next day in the app and I chose click and collect as max store is few steps away from my residence.

Extremely disappointed with service level and don’t think i am gonna come back in future.

I need the dresses for an event on Sunday but looking at the time I have lost hopes! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5437457